Connect Restore Account
Connects a restore account to the given project.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectId
ID of the project you want to connect the source account to. You can get your project ID from the API Credentials page in your global management console.
Headers
X-Action-Approval-Request-Id
ID of an approved action request. Applicable only when the method is protected by an action approval policy and the action request has been approved.
When used, the current API request must match the original request parameters. The approved action request can be executed only by the original requester.
Request
This endpoint expects an object.
restoreAccountAttributes
Cloud-provider-specific configuration for the restore account.
name
Account display name in Eon.
Response
Restore account connected.
restoreAccount
Restore account.
Errors
409
Conflict Error